about summary refs log tree commit diff
path: root/tests/export-graph.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2009-03-17T16·33+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2009-03-17T16·33+0000
commit2d5114452d8a8f73c858f9beb6bfaafe35e7bf9a (patch)
tree676ad5958bce42d91d09518cf44c61a6414ac0e2 /tests/export-graph.sh
parent33ecb4299107da91f5d61131ead37afabe496649 (diff)
* Regression test for the `exportReferencesGraph'
  derivation attribute. 

Diffstat (limited to 'tests/export-graph.sh')
-rw-r--r--tests/export-graph.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/export-graph.sh b/tests/export-graph.sh
new file mode 100644
index 000000000000..f31bc75abfdd
--- /dev/null
+++ b/tests/export-graph.sh
@@ -0,0 +1,9 @@
+source common.sh
+
+clearStore
+clearProfiles
+
+outPath=$($nixbuild ./export-graph.nix)
+
+test $(nix-store -q --references ./result | wc -l) = 2 || fail "bad nr of references"
+nix-store -q --references ./result | grep -q input-2 || fail "missing reference"